drill-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "fanrsh@inspur.com" <fan...@inspur.com>
Subject 回复: Re: About the right mongodb version
Date Sat, 28 Mar 2015 13:31:39 GMT
Thank you !
I will have a try~~~



范荣盛
浪潮(北京)电子信息产业有限公司
系统软件部
地址:浪潮路1036号浪潮科技园S05楼北楼2层 
邮编:250101
手机:15650019799
 
发件人: Andries Engelbrecht
发送时间: 2015-03-27 23:39
收件人: user@drill.apache.org
主题: Re: About the right mongodb version
I went back to my notes.
 
With Drill 0.7 I used MongoDB 2.6.1, the default jars that came with Drill 0.7 (mongo-java-driver-2.12.2.jar
& drill-mongo-storage-0.7.0-SNAPSHOT.jar)
 
I connected to the mongo router(s) (mongos process), if you have multiple routers you will
be able to connect to all of them.
I started mongos on port 27020.
 
In Drill then configure the Mongo storage plugin through the WebUI
{
“type”:”mongo”,
“connection”:”mongodb://<mongos-hostname1>:27020,<mongos-hostname2>:27020”,
“enabled”:”true”
}
 
It is also good to make sure that the nodes in mongo and drill all can resolve the hosts names
(DNS or hosts file entries).
 
I have not looked an newer mongo releases, but give it a try.
 
—Andries
 
 
On Mar 27, 2015, at 6:19 AM, fanrsh@inspur.com wrote:
 
> 
> Hello,
>   I am trying to experiment with Drill 0.7.
>    I want to use mongodb as data source,but it doesn't work.Maybe i think
> mongodb version is not correct.Could you tell me the right mondodb version
> and mongo-java-driver version.I used mongodb 2.6.4,mongo-java-driver 2.12.2.
>    Thanks.
> 
> 
> 范荣盛
> 浪潮(北京)电子信息产业有限公司
> 系统软件部
> 地址:浪潮路1036号浪潮科技园S05楼北楼2层 
> 邮编:250101
> 手机:15650019799
 
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message